Show / Hide Table of Contents

# Struct Actor

Native memory representation of a FFXIV actor.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Dalamud.Game.ClientState.Structs

###### Assembly: Dalamud.dll

##### Syntax

    public struct Actor

### Fields

| Improve this Doc View Source

#### ActorId

##### Declaration

    public int ActorId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BattleNpcTargetActorId

##### Declaration

    public int BattleNpcTargetActorId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ClassJob

##### Declaration

    public byte ClassJob

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CurrentCp

##### Declaration

    public short CurrentCp

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### CurrentGp

##### Declaration

    public short CurrentGp

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### CurrentHp

##### Declaration

    public int CurrentHp

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CurrentMp

##### Declaration

    public int CurrentMp

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CurrentWorld

##### Declaration

    public ushort CurrentWorld

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Customize

##### Declaration

    public byte[] Customize

##### Field Value

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### DataId

##### Declaration

    public int DataId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### HomeWorld

##### Declaration

    public ushort HomeWorld

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### IsFriendly

##### Declaration

    public bool IsFriendly

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Level

##### Declaration

    public byte Level

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MaxCp

##### Declaration

    public short MaxCp

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### MaxGp

##### Declaration

    public short MaxGp

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### MaxHp

##### Declaration

    public int MaxHp

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MaxMp

##### Declaration

    public short MaxMp

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### NameId

##### Declaration

    public int NameId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ObjectKind

##### Declaration

    public ObjectKind ObjectKind

##### Field Value

Type | Description
--- | ---
ObjectKind |

| Improve this Doc View Source

#### OwnerId

##### Declaration

    public int OwnerId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PlayerCharacterTargetActorId

##### Declaration

    public int PlayerCharacterTargetActorId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PlayerTargetStatus

##### Declaration

    public byte PlayerTargetStatus

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Position

##### Declaration

    public Position3 Position

##### Field Value

Type | Description
--- | ---
Position3 |

| Improve this Doc View Source

#### Rotation

##### Declaration

    public float Rotation

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SubKind

##### Declaration

    public byte SubKind

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UIStatusEffects

##### Declaration

    public StatusEffect[] UIStatusEffects

##### Field Value

Type | Description
--- | ---
StatusEffect[] |

| Improve this Doc View Source

#### YalmDistanceFromPlayerX

##### Declaration

    public byte YalmDistanceFromPlayerX

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### YalmDistanceFromPlayerY

##### Declaration

    public byte YalmDistanceFromPlayerY

##### Field Value

Type | Description
--- | ---
System.Byte |